# $Revision: 1.12 $, $Date: 2001/04/08 22:38:21 $
Summary:	Type 1 font install utility
Summary(pl):	Narzdzie instalacyjne czcionek Type 1
Name:		type1inst
Version:	0.6.1
Release:	4
License:	GPL
Group:		Applications
Group(de):	Applikationen
Group(pl):	Aplikacje
Source0:	ftp://sunsite.unc.edu/pub/Linux/X11/xutils/%{name}-%{version}.tar.gz
Patch0:		%{name}-chmod.patch
URL:		http://goblet.anu.edu.au/~m9305357/type1inst.html
Requires:	groff
Requires:	perl
Requires:	fileutils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
type1inst is a utility which scans Type 1 PostScript font files and
generates automatically the fonts.scale file which the X Window System
uses to pick up fonts in the current directory and/or the Fontmap file
which Ghostscript uses to map file names to font names. It can also
generate simple font sample sheets which show what your fonts look
like.

type1inst is a Perl script so you will need to have that installed on
your system. The pfbtops utility (which comes as part of GNU groff) is
also required.

%description -l pl
type1inst jest programem, ktry skanuje pliki czcionek PostScript Type
1 i tworzy plik fonts.scale i/lub plik Fontmap na uytek X Window
System i Ghostscript. Potrafi rwnie wygenerowa proste przykady
zainstalowanych czcionek.

type1inst jest skryptem Perla, wic musisz mie go zainstalowanego
jeli chcesz uywa type1inst. Wymagane jest rwnie narzdzie pfbtops
(ktre znajduje si w pakiecie GNU groff).

%prep
%setup -q
%patch -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install t1embed type1inst $RPM_BUILD_ROOT%{_bindir}
install type1inst.man $RPM_BUILD_ROOT%{_mandir}/man1/type1inst.1

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: type1inst.spec,v $
Revision 1.12  2001/04/08 22:38:21  qboosh
- Requires: fileutils

Revision 1.11  2001/04/07 23:13:41  qboosh
- chmod patch: chmod files to 644, not 755
- spec adapterized, use rpm automation, Requires: perl
- release 4

Revision 1.10  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.8  1999/07/15 15:49:25  pius
- added pl translation,
- cosmetics.

Revision 1.7  1999/07/14 09:45:48  baggins
- fixed usage of macros
- gziping docs

Revision 1.6  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Sep  6 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.6.1-3]
- fixed %attr for %doc.

* Wed May  6 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.6.1-2]
- %%{version} macro instead %%{PACKAGE_VERSION},
- added -q %setup parameter,
- added using %%{name} macro in Buildroot and Source field,

* Fri Apr 10 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- chaned summary,
- removed COPING from %doc (copyright stantment is in Copyright field),
- Buildroot changed to /tmp/type1inst-%%{PACKAGE_VERSION}-root,
- added URL field,
- added %%{PACKAGE_VERSION} to Source url,
- replaced "mkdir -p" with "install -d" in %install,
- added %attr macros in %files (allows building package from
  non-root account).

* Mon Dec 29 1997 Joel Young <jyoung@erols.com>
- rebuilt with version 0.6

* Tue Dec 12 1997 Peter Soos <sp@osb.hu>
- Moved to noarc architecture
- Now we use BuildRoot
